#include <iostream>
#include <fstream>
#include <algorithm>
using namespace std;
int main()
{
    ifstream f1("tansuat.inp");
    ofstream f2("tansuat.out");
    long a[100000];
    long d=1,n,i;
    bool kt=false;
    f1>>n;
    for(i=1;i<=n;i++){
        f1>>a[i];
    }
    f1.close();
    a[n]=-1;
    sort(a,a+n);
    for(i=0;i<=n;i++){
        if(a[i]==a[i+1]){
            d++;
        }
        else{
            if(d>1){
                f2<<a[i]<<" "<<d<<endl;
                d=1;
                kt=true;
            }
        }
    }
    f2.close();
}
